Summary:	X File Explorer (Xfe) is a filemanager for X
Summary(pl.UTF-8):	X File Explorer - zarządca plików dla X
Name:		xfe
Version:	1.46
Release:	1
License:	GPL
Group:		Applications/File
Source0:	https://downloads.sourceforge.net/project/xfe/xfe/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	410cbd7f787edd541ea326a72e627ef3
URL:		http://roland65.free.fr/xfe/
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	fox16-devel >= 1.6
BuildRequires:	freetype-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxcb-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	polkit-devel
BuildRequires:	startup-notification-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXft-devel
Requires:	fox16 >= 1.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X File Explorer (Xfe) is a filemanager for X. It is based on the
popular X Win Commander, which is discontinued. Xfe is desktop
independent and is written with the C++ Fox Toolkit. It has Windows
Commander or MS-Explorer look and is very fast and simple.

%description -l pl.UTF-8
X File Explorer (Xfe) to zarządca plików dla systemu X Window. Jest
oparty na popularnym X Win Commander, który nie jest już rozwijany.
Xfe jest niezależny od desktopu, jest napisany za pomocą C++ Fox
Toolkit. Może wyglądać jak Windows Commander (Total Commander ;)) lub
MS-Explorer przy czym jest prosty i szybki.

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
export FOX_CONFIG=%{_bindir}/fox16-config
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/no
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{pt_PT,pt}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ABOUT-NLS AUTHORS BUGS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xfe
%attr(755,root,root) %{_bindir}/xfi
%attr(755,root,root) %{_bindir}/xfp
%attr(755,root,root) %{_bindir}/xfw
%{_datadir}/%{name}
%{_desktopdir}/xf*.desktop
%{_mandir}/man1/xf*.1*
%{_pixmapsdir}/xf*.*
%{_iconsdir}/hicolor/scalable/apps/xf*.svg
%{_datadir}/polkit-1/actions/org.xfe.root.policy
%changelog
* Fri Jan 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfe.git;a=log;h=master

* Fri Jan 05 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2fdba6a
- up to 1.46

* Sun Nov 26 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b398b04
- up to 1.45

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8fd625d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 44c636d
- converted to UTF-8

* Fri Jul 22 2005 blekot <blekot@pld-linux.org> d4a7535
- up to 0.84

* Tue May 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 952cdfb
- updated to 0.80 (for fox 1.4)
- removed bogus --with-included-gettext and default --without-static

* Mon Nov 29 2004 zbyniu <zbyniu@pld-linux.org> e879566
- BR: libpng-devel, libstdc++-devel

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> bbef145
- BR: automake, dropped source0-size

* Mon Nov 15 2004 undefine <undefine@pld-linux.org> 81cabed
- amd64 fixes

* Wed Oct 13 2004 undefine <undefine@pld-linux.org> e3b9195
- update to 0.72 by "Robert Kurowski" <koorek@o2.pl>

* Fri Sep 24 2004 undefine <undefine@pld-linux.org> f037c72
- up to 0.70 by "Robert Kurowski" <koorek@o2.pl>

* Mon Jun 23 2003 ankry <ankry@pld-linux.org> 7bea538
- added URLs, md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b8defe8
- massive attack s/pld.org.pl/pld-linux.org/

* Fri May 16 2003 misi3k <misi3k@pld-linux.org> 0bfcabd
- updated to 0.54.2
- added man pages

* Sun Apr 27 2003 Jakub Bogusz <qboosh@pld-linux.org> a8314fd
- adapterized, cleanups

* Fri Apr 25 2003 misi3k <misi3k@pld-linux.org> a74fd65
- initial release
Note: not finished (broken when compiling)

